version: 1.0.{build}

environment:
  matrix:
    - compiler: msbuild
      CONFIGURATION: Release
    # - compiler: msys2
    #   ARCH: x64
    #   MSYS2_ARCH: x86_64
    #   MSYS2_DIR: msys64
    #   MSYSTEM: MINGW64
    # - compiler: msys2
    #   ARCH: x86
    #   MSYS2_ARCH: i686
    #   MSYS2_DIR: msys64
    #   MSYSTEM: MINGW32
    - compiler: msvc
      ARCH: x64
    #- compiler: msvc
    #  ARCH: x86
    - compiler: mingw
    #- compiler: cygwin

build_script:
  - '%APPVEYOR_BUILD_FOLDER%\win32\appveyor.bat build'

after_build:
  - '%APPVEYOR_BUILD_FOLDER%\win32\appveyor.bat package'

test_script:
  - '%APPVEYOR_BUILD_FOLDER%\win32\appveyor.bat test'

artifacts:
  - path: ctags-*.zip
